## HTTPClient
Interface FilenameMangler

public interface FilenameMangler

`Codecs.mpFormDataDecode` and `Codecs.mpFormDataEncode` may be handed an instance of a class which implements this interface in order to control names of the decoded files or the names sent in the encoded data.

Since:
  V0.3-1

Method Summary
`String` `mangleFilename(String filename, String fieldname)` This is invoked by `Codecs.mpFormDataDecode` for each file found in the data, just before the file is created and written.

Method Detail

### mangleFilename

    public String mangleFilename(String filename,
                                 String fieldname)

  This is invoked by `Codecs.mpFormDataDecode` for each file found in the data, just before the file is created and written. If null is returned then the file is not created or written. This allows you to control which files are written and the names of the resulting files.

  For `Codecs.mpFormDataEncode` this is also invoked on each filename, allowing you to control the actual name used in the filename attribute of the Content-Disposition header. This does not change the name of the file actually read. If null is returned then the file is ignored.

  Parameters:
    `filename` - the original filename in the Content-Disposition header
    `fieldname` - the name of the this field, i.e. the value of the name attribute in Content-Disposition header
  Returns:
    the new file name, or null if the file is to be ignored.